Nuxeo 5.5 and PostgreSQL 8.3

Why is PostgreSQL 8.3 not supported anymore in Nuxeo 5.5?

1 votes

1 answers

385 views

ANSWER



PostgreSQL 8.3 is not supported anymore for two reasons:

  1. we have stored procedures that use a function (unnest) that was added in PostgreSQL 8.4.
  2. the new fulltext prefixed search (foo*) works thanks to new features of the GIN index type that were introduced in PostgreSQL 8.4.

Although the first point could be worked around, the second cannot if you want to keep fulltext prefix search.

(Note also that PostgreSQL 8.3 is getting old and we can't see any compelling reason that would justify avoiding an upgrade to a more recent version of PostgreSQL — PostgreSQL 9.1 is worth it if only for performance reasons.)

6 votes



You must have gotten this question a lot to post and answer your own question in 4 minutes :)
12/16/2013